import { actions } from 'astro:actions';
import { feedbacks } from './state.ts';
import { actionErrorPopup } from '@util/action.ts';

export async function fetchFeedbacks(reporter?: string | null, reported?: string | null) {
  const { data, error } = await actions.feedback.feedbacks({ reporter: reporter, reported: reported });
  if (error) {
    actionErrorPopup(error);
    return;
  }

  feedbacks.set(data.feedbacks);
}
